@charset "UTF-8";

@font-face {
	font-family: "BPreplay";
  src: url("/fonts/BPreplay/BPreplay.otf") format("opentype");
  font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: "BPreplay";
  src: url("/fonts/BPreplay/BPreplayBold.otf") format("opentype");
  font-weight: bold;
	font-style: normal;
}

* {
  margin: 0;
  padding: 0;
  border: 0;
	outline: 0;
	user-select: none;
	-moz-user-select: none;
  box-sizing: border-box;
	cursor: default;
  line-height: 1em;
  font-family: "BPreplay", sans-serif;
  font-size: 16px;
}

body {
  width: 100%;
  height: 100%;
  position: fixed;
  background-color: tomato;
}

#timer {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  height: 0;
  background-color: black;
}

#result {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 2rem;
  text-align: center;
  font-size: 56vw;
  color: yellow;
  letter-spacing: -0.02em;
  line-height: 82%;
  font-weight: bold;
}

#state {
  position: absolute;
  width: auto;
  top: 50%;
  line-height: 82%;
  transform: translateX(100%) translateY(-50%);
  font-size: 60vh;
  white-space: nowrap;
  color: white;
  text-transform: uppercase;
}

@keyframes scroll-left {
  0% {
    transform: translateX(100%) translateY(-50%);
  }
  100% {
    transform: translateX(-100%) translateY(-50%);
  }
}
